{% extends 'documents/index.html' %}
{% load django_bootstrap_breadcrumbs %}
{% load mptt_tags %}
{% block title %}{{ category.name }} - Документы{% endblock %}
{% block breadcrumbs %}
  {% if user.is_authenticated %}
    {{ block.super }}
  {% else %}
    {% breadcrumb_safe "<i class='fas fa-home'></i>" "/" %}
  {% endif %}
  {% breadcrumb category.name "#" %}
  {#  todo: add full path#}
{% endblock %}
{% block content %}
  {% render_breadcrumbs %}
  <section class="container-fluid flex-grow">
    <div class="container">
      <div class="row">
        <div class="col">
          {% if perms.documents.change_category %}
            <a href="/admin/documents/category/{{ category.id }}/change/"><i class="far fa-edit"></i></a>
          {% endif %}
          <a href="{% url 'documents:get_category_qr' category.id %}"> <i class="fas fa-qrcode"></i></a>
          <h3>{{ category.name }}</h3>
          <div align="justify">
            {{ category.description|safe }}
          </div>
          {% if documents %}
            <h5>Документы в категории:</h5>
            <table id="documents-table" class="table table-bordered">
              <tbody>
              {% for document in documents %}
                <tr>
                  <td>{{ document }}
                    {{ document.description|safe }}
                  </td>
                  <td>
                    {% if document.file %}<a href="/{{ document.file.url }} "><i
                        class="far fa-file"></i></a>{% endif %}
                    {% if document.url %}
                      <a href="{{ document.url }} "><i class="fas fa-link"></i></a>{% endif %}
                    <a href="{% url 'documents:get_document_qr' document.id %}"> <i
                        class="fas fa-qrcode"></i></a>
                    {% if perms.documents.change_document %}
                      <br>
                      <a href="/admin/documents/document/{{ document.id }}/change/"><i
                          class="far fa-edit"></i></a>
                    {% endif %}
                  </td>
                </tr>
              {% endfor %}
              </tbody>
            </table>
          {% endif %}
          {% if category.get_descendant_count %}
            <h5>Подкатегории:</h5>
            <ul class="root">
              {% recursetree category.get_children %}
                <li>
                  <a href="{% url 'documents:check_category_permissions' node.id %}"> <i
                      class="far fa-folder-open"></i> {{ node.name }}</a>
                  {% if perms.documents.change_category %}
                    <a href="/admin/documents/category/{{ node.id }}/change/"><i
                        class="far fa-edit"></i></a>
                  {% endif %}
                  <a href="{% url 'documents:get_category_qr' node.id %}"> <i
                      class="fas fa-qrcode"></i></a>
                  {% if not node.is_leaf_node %}
                    <ul class="children">
                      {{ children }}
                    </ul>
                  {% endif %}
                </li>
              {% endrecursetree %}
            </ul>
          {% endif %}
        </div>
      </div>
      <div class="row">
        <div class="col">


        </div>
      </div>
    </div>
  </section>
{% endblock %}
